package models

type XTSyncInfo struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId           int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	SyncType        int64  `gorm:"column:sync_type" json:"sync_type" form:"sync_type"`
	SyncTime        int64  `gorm:"column:sync_time" json:"sync_time" form:"sync_time"`
	SyncResultType  int    `gorm:"column:sync_result_type" json:"sync_result_type" form:"sync_result_type"`
	SyncRsultRemark string `gorm:"column:sync_result_remark" json:"sync_result_remark" form:"sync_result_remark"`
	SyncTotalNum    int64  `gorm:"column:sync_total_num" json:"sync_total_num" form:"sync_total_num"`
	SyncSuccessNum  int64  `gorm:"column:sync_success_num" json:"sync_success_num" form:"sync_success_num"`
	SyncInfo        string `gorm:"column:sync_info" json:"sync_info" form:"sync_info"`
	CreateTime      int64  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime      int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (XTSyncInfo) TableName() string {
	return "data_sync_info"
}

type UserOrg struct {
	ID              int64           `gorm:"column:id" json:"id"`
	Creator         int64           `gorm:"column:creator" json:"creator"`
	OrgName         string          `gorm:"column:org_name" json:"org_name"`
	OrgShortName    string          `gorm:"column:org_short_name" json:"org_short_name"`
	OrgLogo         string          `gorm:"column:org_logo" json:"org_logo"`
	OrgIntroduction string          `gorm:"column:org_introduction" json:"org_introduction"`
	Illness         string          `gorm:"column:illness" json:"illness"`
	Province        int64           `gorm:"column:province" json:"province"`
	City            int64           `gorm:"column:city" json:"city"`
	District        int64           `gorm:"column:district" json:"district"`
	Address         string          `gorm:"column:address" json:"address"`
	Longitude       string          `gorm:"column:longitude" json:"longitude"`
	Latitude        string          `gorm:"column:latitude" json:"latitude"`
	OrgType         int64           `gorm:"column:org_type" json:"org_type"`
	Comments        int64           `gorm:"column:comments" json:"comments"`
	Evaluate        float64         `gorm:"column:evaluate" json:"evaluate"`
	Gallery         string          `gorm:"column:gallery" json:"gallery"`
	BusinessWeek    string          `gorm:"column:business_week" json:"business_week"`
	BusinessTime    string          `gorm:"column:business_time" json:"business_time"`
	ContactName     string          `gorm:"column:contact_name" json:"contact_name"`
	Telephone       string          `gorm:"column:telephone" json:"telephone"`
	Claim           int64           `gorm:"column:claim" json:"claim"`
	OperatingState  int64           `gorm:"column:operating_state" json:"operating_state"`
	Status          int64           `gorm:"column:status" json:"status"`
	Ctime           int64           `gorm:"column:ctime" json:"ctime"`
	Mtime           int64           `gorm:"column:mtime" json:"mtime"`
	Source          int64           `gorm:"column:source" json:"source"`
	Ttype           int64           `gorm:"column:ttype" json:"ttype"`
	Ttid            int64           `gorm:"column:ttid" json:"ttid"`
	Tuid            int64           `gorm:"column:tuid" json:"tuid"`
	Reason          string          `gorm:"column:reason" json:"reason"`
	Level           int64           `gorm:"column:level" json:"level"`
	Website         string          `gorm:"column:website" json:"website"`
	Import          int64           `gorm:"column:import" json:"import"`
	Sortno          int64           `gorm:"column:sortno" json:"sortno"`
	DeviceNumber    []*DeviceNumber `gorm:"ForeignKey:OrgId;AssociationForeignKey:ID" json:"device_number"`
}

func (UserOrg) TableName() string {
	return "sgj_user_org"
}

type UserAdminRole struct {
	ID          int64  `gorm:"column:id" json:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id"`
	AppId       int64  `gorm:"column:app_id" json:"app_id"`
	RoleId      int64  `gorm:"column:role_id" json:"role_id"`
	UserName    string `gorm:"column:user_name" json:"user_name"`
	Avatar      string `gorm:"column:avatar" json:"avatar"`
	UserType    int64  `gorm:"column:user_type" json:"user_type"`
	UserTitle   int64  `gorm:"column:user_title" json:"user_title"`
	Intro       string `gorm:"column:intro" json:"intro"`
	Status      int64  `gorm:"column:status" json:"status"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime"`
}

func (UserAdminRole) TableName() string {
	return "sgj_user_admin_role"
}

type DeviceZone struct {
	ID         int64  `gorm:"column:id" json:"id"`
	OrgID      int64  `gorm:"column:org_id" json:"-"`
	Name       string `json:"name"`
	Type       int64  `json:"type"`
	Status     int8   `json:"-"`
	CreateTime int64  `gorm:"column:ctime" json:"-"`
	ModifyTime int64  `gorm:"column:mtime" json:"-"`
}

func (DeviceZone) TableName() string {
	return "xt_device_zone"
}

type ResultOne struct {
	Sumamt float64 `gorm:"column:sumamt" json:"sumamt" form:"sumamt"`
	Amt    float64 `gorm:"column:amt" json:"amt" form:"amt"`
}

func (ResultOne) TableName() string {
	return "ResultOne"
}

type HisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	PsnNo                  string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType            string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                 string  `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName                string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                   string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                   string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                   string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                  string  `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo               string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo               string  `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
	YiliaoNumber           string  `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	MzNumber               string  `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	PatientInfo            string  `gorm:"column:patient_info" json:"patient_info" form:"patient_info"`
	Diagnosis              string  `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType               int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
}

func (HisPatient) TableName() string {
	return "his_patient"
}

type Patients struct {
	ID                           int64                 `gorm:"column:id" json:"id"`
	UserOrgId                    int64                 `gorm:"column:user_org_id" json:"user_org_id"`
	UserId                       int64                 `gorm:"column:user_id" json:"user_id"`
	Avatar                       string                `gorm:"column:avatar" json:"avatar"`
	PatientType                  int64                 `gorm:"column:patient_type" json:"patient_type"`
	DialysisNo                   string                `gorm:"column:dialysis_no" json:"dialysis_no"`
	AdmissionNumber              string                `gorm:"column:admission_number" json:"admission_number"`
	Source                       int64                 `gorm:"column:source" json:"source"`
	Lapseto                      int64                 `gorm:"column:lapseto" json:"lapseto"`
	PartitionId                  int64                 `gorm:"column:partition_id" json:"partition_id"`
	BedId                        int64                 `gorm:"column:bed_id" json:"bed_id"`
	Name                         string                `gorm:"column:name" json:"name"`
	Alias                        string                `gorm:"column:alias" json:"alias"`
	Gender                       int64                 `gorm:"column:gender" json:"gender"`
	MaritalStatus                int64                 `gorm:"column:marital_status" json:"marital_status"`
	IdCardNo                     string                `gorm:"column:id_card_no" json:"id_card_no"`
	Birthday                     int64                 `gorm:"column:birthday" json:"birthday"`
	ReimbursementWayId           int64                 `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id"`
	HealthCareType               int64                 `gorm:"column:health_care_type" json:"health_care_type"`
	HealthCareNo                 string                `gorm:"column:health_care_no" json:"health_care_no"`
	HealthCareDueDate            int64                 `gorm:"column:health_care_due_date" json:"health_care_due_date"`
	Height                       int64                 `gorm:"column:height" json:"height"`
	BloodType                    int64                 `gorm:"column:blood_type" json:"blood_type"`
	Rh                           int64                 `gorm:"column:rh" json:"rh"`
	HealthCareDueAlertDate       int64                 `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date"`
	EducationLevel               int64                 `gorm:"column:education_level" json:"education_level"`
	Profession                   int64                 `gorm:"column:profession" json:"profession"`
	Phone                        string                `gorm:"column:phone" json:"phone"`
	HomeTelephone                string                `gorm:"column:home_telephone" json:"home_telephone"`
	RelativePhone                string                `gorm:"column:relative_phone" json:"relative_phone"`
	RelativeRelations            string                `gorm:"column:relative_relations" json:"relative_relations"`
	HomeAddress                  string                `gorm:"column:home_address" json:"home_address"`
	WorkUnit                     string                `gorm:"column:work_unit" json:"work_unit"`
	UnitAddress                  string                `gorm:"column:unit_address" json:"unit_address"`
	Children                     int64                 `gorm:"column:children" json:"children"`
	ReceivingDate                int64                 `gorm:"column:receiving_date" json:"receiving_date"`
	IsHospitalFirstDialysis      int64                 `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64                 `gorm:"column:first_dialysis_date" json:"first_dialysis_date"`
	FirstDialysisHospital        string                `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital"`
	PredialysisCondition         string                `gorm:"column:predialysis_condition" json:"predialysis_condition"`
	PreHospitalDialysisFrequency string                `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64                 `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64                 `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date"`
	InductionPeriod              int64                 `gorm:"column:induction_period" json:"induction_period"`
	InitialDialysis              int64                 `gorm:"column:initial_dialysis" json:"initial_dialysis"`
	TotalDialysis                int64                 `gorm:"column:total_dialysis" json:"total_dialysis"`
	AttendingDoctorId            int64                 `gorm:"column:attending_doctor_id" json:"attending_doctor_id"`
	HeadNurseId                  int64                 `gorm:"column:head_nurse_id" json:"head_nurse_id"`
	Evaluate                     string                `gorm:"column:evaluate" json:"evaluate"`
	Diagnose                     string                `gorm:"column:diagnose" json:"diagnose"`
	Remark                       string                `gorm:"column:remark" json:"remark"`
	RegistrarsId                 int64                 `gorm:"column:registrars_id" json:"registrars_id"`
	Registrars                   string                `gorm:"column:registrars" json:"registrars"`
	QrCode                       string                `gorm:"column:qr_code" json:"qr_code"`
	BindingState                 int64                 `gorm:"column:binding_state" json:"binding_state"`
	PatientComplains             string                `gorm:"column:patient_complains" json:"patient_complains"`
	PresentHistory               string                `gorm:"column:present_history" json:"present_history"`
	PastHistory                  string                `gorm:"column:past_history" json:"past_history"`
	Temperature                  float64               `gorm:"column:temperature" json:"temperature"`
	Pulse                        int64                 `gorm:"column:pulse" json:"pulse"`
	Respiratory                  int64                 `gorm:"column:respiratory" json:"respiratory"`
	Sbp                          int64                 `gorm:"column:sbp" json:"sbp"`
	Dbp                          int64                 `gorm:"column:dbp" json:"dbp"`
	Status                       int64                 `gorm:"column:status" json:"status"`
	CreatedTime                  int64                 `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                  int64                 `gorm:"column:updated_time" json:"updated_time"`
	Nation                       string                `gorm:"column:nation" json:"nation"`
	NativePlace                  string                `gorm:"column:native_place" json:"native_place"`
	Age                          int64                 `gorm:"column:age" json:"age"`
	PatientLapseto               PatientLapseto        `gorm:"ForeignKey:PatientId,LapsetoType;AssociationForeignKey:ID,Lapseto" json:"patient_lapseto"`
	InfectiousDiseases           []*InfectiousDiseases `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"infectious_diseases"`
}

func (Patients) TableName() string {
	return "xt_patients"
}

type InfectiousDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (InfectiousDiseases) TableName() string {
	return "xt_patients_infectious_diseases"
}

type Device struct {
	ID             int64  `gorm:"column:id" json:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	DeviceType     int64  `gorm:"column:device_type" json:"device_type"`
	DmId           int64  `gorm:"column:dm_id" json:"dm_id"`
	WteId          int64  `gorm:"column:wte_id" json:"wte_id"`
	SerialNumber   string `gorm:"column:serial_number" json:"serial_number"`
	Name           string `gorm:"column:name" json:"name"`
	Model          string `gorm:"column:model" json:"model"`
	DeviceNumberId int64  `gorm:"column:device_number_id" json:"device_number_id"`
	DeviceNumber   string `gorm:"column:device_number" json:"device_number"`
	DeviceZoneId   int64  `gorm:"column:device_zone_id" json:"device_zone_id"`
	DeviceGroupId  int64  `gorm:"column:device_group_id" json:"device_group_id"`
	Status         int64  `gorm:"column:status" json:"status"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime"`
}

func (Device) TableName() string {
	return "xt_device"
}

type DeviceNumber struct {
	ID      int64  `gorm:"column:id" json:"id"`
	OrgId   int64  `gorm:"column:org_id" json:"org_id"`
	Number  string `gorm:"column:number" json:"number"`
	GroupId int64  `gorm:"column:group_id" json:"group_id"`
	ZoneId  int64  `gorm:"column:zone_id" json:"zone_id"`
	Status  int64  `gorm:"column:status" json:"status"`
	Ctime   int64  `gorm:"column:ctime" json:"ctime"`
	Mtime   int64  `gorm:"column:mtime" json:"mtime"`
}

func (DeviceNumber) TableName() string {
	return "xt_device_number"
}

// type DeviceZone struct {
// 	ID     int64  `gorm:"column:id" json:"id"`
// 	OrgId  int64  `gorm:"column:org_id" json:"org_id"`
// 	Name   string `gorm:"column:name" json:"name"`
// 	Type   int64  `gorm:"column:type" json:"type"`
// 	Status int64  `gorm:"column:status" json:"status"`
// 	Ctime  int64  `gorm:"column:ctime" json:"ctime"`
// 	Mtime  int64  `gorm:"column:mtime" json:"mtime"`
// }

// func (DeviceZone) TableName() string {
// 	return "xt_device_zone"
// }

type Schedule struct {
	ID           int64        `gorm:"column:id" json:"id"`
	UserOrgId    int64        `gorm:"column:user_org_id" json:"user_org_id"`
	PartitionId  int64        `gorm:"column:partition_id" json:"partition_id"`
	BedId        int64        `gorm:"column:bed_id" json:"bed_id"`
	PatientId    int64        `gorm:"column:patient_id" json:"patient_id"`
	ScheduleDate int64        `gorm:"column:schedule_date" json:"schedule_date"`
	ScheduleType int64        `gorm:"column:schedule_type" json:"schedule_type"`
	ScheduleWeek int64        `gorm:"column:schedule_week" json:"schedule_week"`
	ModeId       int64        `gorm:"column:mode_id" json:"mode_id"`
	Status       int64        `gorm:"column:status" json:"status"`
	CreatedTime  int64        `gorm:"column:created_time" json:"created_time"`
	UpdatedTime  int64        `gorm:"column:updated_time" json:"updated_time"`
	DeviceNumber DeviceNumber `gorm:"ForeignKey:ID;AssociationForeignKey:BedId" json:"device"`
}

func (Schedule) TableName() string {
	return "xt_schedule"
}

type DialysisPrescription struct {
	ID                         int64                    `gorm:"column:id" json:"id"`
	UserOrgId                  int64                    `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64                    `gorm:"column:patient_id" json:"patient_id"`
	Dialyzer                   int64                    `gorm:"column:dialyzer" json:"dialyzer"`
	MachineType                string                   `gorm:"column:machine_type" json:"machine_type"`
	DewaterAmount              float64                  `gorm:"column:dewater_amount" json:"dewater_amount"`
	DialyzerPerfusionApparatus string                   `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64                  `gorm:"column:prescription_dewatering" json:"prescription_dewatering"`
	Anticoagulant              int64                    `gorm:"column:anticoagulant" json:"anticoagulant"`
	AnticoagulantShouji        float64                  `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64                  `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64                  `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string                   `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string                   `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang"`
	ModeId                     int64                    `gorm:"column:mode_id" json:"mode_id"`
	DialysisDurationHour       int64                    `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64                    `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	DialysisDuration           float64                  `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	ReplacementTotal           float64                  `gorm:"column:replacement_total" json:"replacement_total"`
	ReplacementWay             int64                    `gorm:"column:replacement_way" json:"replacement_way"`
	HemodialysisMachine        int64                    `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine"`
	BloodFilter                int64                    `gorm:"column:blood_filter" json:"blood_filter"`
	PerfusionApparatus         int64                    `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus"`
	DryWeight                  float64                  `gorm:"column:dry_weight" json:"dry_weight"`
	VascularAccessMode         int64                    `gorm:"column:vascular_access_mode" json:"vascular_access_mode"`
	VascularAccess             int64                    `gorm:"column:vascular_access" json:"vascular_access"`
	BloodFlowVolume            float64                  `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	DialysateFlow              float64                  `gorm:"column:dialysate_flow" json:"dialysate_flow"`
	DisplaceLiqui              float64                  `gorm:"column:displace_liqui" json:"displace_liqui"`
	Kalium                     float64                  `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64                  `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64                  `gorm:"column:calcium" json:"calcium"`
	Bicarbonate                float64                  `gorm:"column:bicarbonate" json:"bicarbonate"`
	Glucose                    float64                  `gorm:"column:glucose" json:"glucose"`
	DialysateTemperature       float64                  `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Conductivity               float64                  `gorm:"column:conductivity" json:"conductivity"`
	PrescriptionDoctor         int64                    `gorm:"column:prescription_doctor" json:"prescription_doctor"`
	Creater                    int64                    `gorm:"column:creater" json:"creater"`
	Modifier                   int64                    `gorm:"column:modifier" json:"modifier"`
	Remark                     string                   `gorm:"column:remark" json:"remark"`
	Status                     int64                    `gorm:"column:status" json:"status"`
	CreatedTime                int64                    `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64                    `gorm:"column:updated_time" json:"updated_time"`
	RecordDate                 int64                    `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64                    `gorm:"column:record_id" json:"record_id"`
	TargetUltrafiltration      float64                  `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialysateFormulation       int64                    `gorm:"column:dialysate_formulation" json:"dialysate_formulation"`
	BodyFluid                  int64                    `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64                    `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string                   `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64                    `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	BloodAccess                int64                    `gorm:"column:blood_access" json:"blood_access"`
	DisplaceLiquiValue         float64                  `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	Ultrafiltration            float64                  `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	BodyFluidOther             string                   `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	Niprocart                  int64                    `gorm:"column:niprocart" json:"niprocart"`
	Jms                        int64                    `gorm:"column:jms" json:"jms"`
	FistulaNeedleSet           int64                    `gorm:"column:fistula_needle_set" json:"fistula_needle_set"`
	FistulaNeedleSet16         int64                    `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16"`
	Hemoperfusion              int64                    `gorm:"column:hemoperfusion" json:"hemoperfusion"`
	DialyserSterilised         int64                    `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised"`
	Filtryzer                  int64                    `gorm:"column:filtryzer" json:"filtryzer"`
	TargetKtv                  float64                  `gorm:"column:target_ktv" json:"target_ktv"`
	Dialyzers                  int64                    `gorm:"column:dialyzers" json:"dialyzers"`
	Injector                   int64                    `gorm:"column:injector" json:"injector"`
	Bloodlines                 int64                    `gorm:"column:bloodlines" json:"bloodlines"`
	TubingHemodialysis         int64                    `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis"`
	Package                    int64                    `gorm:"column:package" json:"package"`
	ALiquid                    int64                    `gorm:"column:a_liquid" json:"a_liquid"`
	AssessmentBeforeDislysis   AssessmentBeforeDislysis `gorm:"ForeignKey:PatientId,AssessmentDate;AssociationForeignKey:PatientId,RecordDate" json:"before"`
	DialysisOrder              DialysisOrder            `gorm:"ForeignKey:PatientId,DialysisDate;AssociationForeignKey:PatientId,RecordDate" json:"order"`
}

func (DialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type DoctorAdvice struct {
	ID                    int64   `gorm:"column:id" json:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno"`
}

func (DoctorAdvice) TableName() string {
	return "xt_doctor_advice"
}

type DoctorAdviceTemplate struct {
	ID                      int64                   `gorm:"column:id" json:"id" form:"id"`
	OrgId                   int64                   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AdviceName              string                  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc              string                  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	SingleDose              float64                 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit          string                  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber       float64                 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit   string                  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay             string                  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency      string                  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor            int64                   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                  int64                   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	TemplateId              int64                   `gorm:"column:template_id" json:"template_id"`
	DrugSpec                string                  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit            string                  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	ParentId                int64                   `gorm:"column:parent_id" json:"parent_id"`
	AdviceType              int64                   `gorm:"column:advice_type" json:"advice_type"`
	DayCount                int64                   `gorm:"column:day_count" json:"day_count"`
	WeekDays                string                  `gorm:"column:week_days" json:"week_days"`
	FrequencyType           int64                   `gorm:"column:frequency_type" json:"frequency_type"`
	SubDoctorAdviceTemplate []*DoctorAdviceTemplate `gorm:"ForeignKey:ParentId;AssociationForeignKey:ID" json:"child"`
}

func (DoctorAdviceTemplate) TableName() string {
	return "xt_doctor_advice_template"
}

type AssessmentAfterDislysis struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate         int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId        int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature            float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency         float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate          string  `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType      int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	ActualUltrafiltration  float64 `gorm:"column:actual_ultrafiltration" json:"actual_ultrafiltration"`
	ActualDisplacement     float64 `gorm:"column:actual_displacement" json:"actual_displacement"`
	ActualTreatmentHour    int64   `gorm:"column:actual_treatment_hour" json:"actual_treatment_hour"`
	ActualTreatmentMinute  int64   `gorm:"column:actual_treatment_minute" json:"actual_treatment_minute"`
	WeighingWay            string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeightAfter            float64 `gorm:"column:weight_after" json:"weight_after"`
	WeightLoss             float64 `gorm:"column:weight_loss" json:"weight_loss"`
	Cruor                  string  `gorm:"column:cruor" json:"cruor"`
	SymptomAfterDialysis   string  `gorm:"column:symptom_after_dialysis" json:"symptom_after_dialysis"`
	InternalFistula        string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	Catheter               string  `gorm:"column:catheter" json:"catheter"`
	Complication           string  `gorm:"column:complication" json:"complication"`
	Evaluator              int64   `gorm:"column:evaluator" json:"evaluator"`
	Remark                 string  `gorm:"column:remark" json:"remark"`
	// DialysisIntakes                 int64   `gorm:"column:dialysis_intakes" json:"dialysis_intakes"`
	// DialysisIntakesFeed             int64   `gorm:"column:dialysis_intakes_feed" json:"dialysis_intakes_feed"`
	// DialysisIntakesTransfusion      int64   `gorm:"column:dialysis_intakes_transfusion" json:"dialysis_intakes_transfusion"`
	// DialysisIntakesBloodTransfusion int64   `gorm:"column:dialysis_intakes_blood_transfusion" json:"dialysis_intakes_blood_transfusion"`
	// DialysisIntakesWashpipe         int64   `gorm:"column:dialysis_intakes_washpipe" json:"dialysis_intakes_washpipe"`
	Ktv                          string  `gorm:"column:ktv" json:"ktv"`
	Urr                          string  `gorm:"column:urr" json:"urr"`
	Status                       int64   `gorm:"column:status" json:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time"`
	Creater                      int64   `gorm:"column:creater" json:"creater"`
	Modifier                     int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId            int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId       int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	PuncturePointOozingBlood     int64   `gorm:"column:puncture_point_oozing_blood" json:"puncture_point_oozing_blood"`
	PuncturePointHaematoma       int64   `gorm:"column:puncture_point_haematoma" json:"puncture_point_haematoma"`
	InternalFistulaTremorAc      int64   `gorm:"column:internal_fistula_tremor_ac" json:"internal_fistula_tremor_ac"`
	PatientGose                  int64   `gorm:"column:patient_gose" json:"patient_gose"`
	InpatientDepartment          string  `gorm:"column:inpatient_department" json:"inpatient_department"`
	ObservationContent           string  `gorm:"column:observation_content" json:"observation_content"`
	ObservationContentOther      string  `gorm:"column:observation_content_other" json:"observation_content_other"`
	DryWeight                    float64 `gorm:"column:dry_weight" json:"dry_weight"`
	DialysisProcess              int64   `gorm:"column:dialysis_process" json:"dialysis_process"`
	InAdvanceMinute              float64 `gorm:"column:in_advance_minute" json:"in_advance_minute"`
	InAdvanceReason              string  `gorm:"column:in_advance_reason" json:"in_advance_reason"`
	HemostasisMinute             int64   `gorm:"column:hemostasis_minute" json:"hemostasis_minute"`
	HemostasisOpera              int64   `gorm:"column:hemostasis_opera" json:"hemostasis_opera"`
	TremorNoise                  int64   `gorm:"column:tremor_noise" json:"tremor_noise"`
	DisequilibriumSyndrome       int64   `gorm:"column:disequilibrium_syndrome" json:"disequilibrium_syndrome"`
	DisequilibriumSyndromeOption string  `gorm:"column:disequilibrium_syndrome_option" json:"disequilibrium_syndrome_option"`
	ArterialTube                 int64   `gorm:"column:arterial_tube" json:"arterial_tube"`
	IntravenousTube              int64   `gorm:"column:intravenous_tube" json:"intravenous_tube"`
	Dialyzer                     int64   `gorm:"column:dialyzer" json:"dialyzer"`
	InAdvanceReasonOther         string  `gorm:"column:in_advance_reason_other" json:"in_advance_reason_other"`
	AssessmentDoctor             int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	AssessmentTime               int64   `gorm:"column:assessment_time" json:"assessment_time"`
	IsEat                        int64   `gorm:"column:is_eat" json:"is_eat"`
}

func (AssessmentAfterDislysis) TableName() string {
	return "xt_assessment_after_dislysis"
}

type AssessmentBeforeDislysis struct {
	ID                             int64   `gorm:"column:id" json:"id"`
	UserOrgId                      int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                      int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate                 int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId                int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature                    float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency                 float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate                  string  `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure          float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure         float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType              int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	DryWeight                      float64 `gorm:"column:dry_weight" json:"dry_weight"`
	WeightAfterLastTransparency    float64 `gorm:"column:weight_after_last_transparency" json:"weight_after_last_transparency"`
	WeighingWay                    string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeighingBefore                 float64 `gorm:"column:weighing_before" json:"weighing_before"`
	AdditionalWeight               float64 `gorm:"column:additional_weight" json:"additional_weight"`
	WeightBefore                   float64 `gorm:"column:weight_before" json:"weight_before"`
	WeightGain                     float64 `gorm:"column:weight_gain" json:"weight_gain"`
	PreloadedDewatering            float64 `gorm:"column:preloaded_dewatering" json:"preloaded_dewatering"`
	UltrafiltrationAmount          float64 `gorm:"column:ultrafiltration_amount" json:"ultrafiltration_amount"`
	DialysisInterphase             string  `gorm:"column:dialysis_interphase" json:"dialysis_interphase"`
	LastPostDialysis               string  `gorm:"column:last_post_dialysis" json:"last_post_dialysis"`
	SymptomBeforeDialysis          string  `gorm:"column:symptom_before_dialysis" json:"symptom_before_dialysis"`
	InternalFistula                string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	InternalFistulaSkin            string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin"`
	CatheterBend                   int64   `gorm:"column:catheter_bend" json:"catheter_bend"`
	Catheter                       string  `gorm:"column:catheter" json:"catheter"`
	Complication                   string  `gorm:"column:complication" json:"complication"`
	Evaluator                      int64   `gorm:"column:evaluator" json:"evaluator"`
	Creater                        int64   `gorm:"column:creater" json:"creater"`
	Remark                         string  `gorm:"column:remark" json:"remark"`
	Status                         int64   `gorm:"column:status" json:"status"`
	CreatedTime                    int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                    int64   `gorm:"column:updated_time" json:"updated_time"`
	Modifier                       int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId              string  `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId         int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	IsHemorrhage                   int64   `gorm:"column:is_hemorrhage" json:"is_hemorrhage"`
	Hemorrhage                     string  `gorm:"column:hemorrhage" json:"hemorrhage"`
	HemorrhageOther                string  `gorm:"column:hemorrhage_other" json:"hemorrhage_other"`
	PunctureMethod                 string  `gorm:"column:puncture_method" json:"puncture_method"`
	BloodAccessInternalFistula     string  `gorm:"column:blood_access_internal_fistula" json:"blood_access_internal_fistula"`
	InternalFistulaOther           string  `gorm:"column:internal_fistula_other" json:"internal_fistula_other"`
	BloodAccessNoise               int64   `gorm:"column:blood_access_noise" json:"blood_access_noise"`
	PunctureWay                    string  `gorm:"column:puncture_way" json:"puncture_way"`
	VenousCatheterization          int64   `gorm:"column:venous_catheterization" json:"venous_catheterization"`
	VenousCatheterizationPart      int64   `gorm:"column:venous_catheterization_part" json:"venous_catheterization_part"`
	VenousCatheterizationPartOther string  `gorm:"column:venous_catheterization_part_other" json:"venous_catheterization_part_other"`
	DuctusArantii                  string  `gorm:"column:ductus_arantii" json:"ductus_arantii"`
	EmergencyTreatment             int64   `gorm:"column:emergency_treatment" json:"emergency_treatment"`
	EmergencyTreatmentOther        string  `gorm:"column:emergency_treatment_other" json:"emergency_treatment_other"`
	DialysisCount                  string  `gorm:"column:dialysis_count" json:"dialysis_count"`
	AssessmentDoctor               int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	AssessmentTime                 int64   `gorm:"column:assessment_time" json:"assessment_time"`
	MachineType                    string  `gorm:"column:machine_type" json:"machine_type"`
	IsInfect                       int64   `gorm:"column:is_infect" json:"is_infect"`
	Exposed                        float64 `gorm:"column:exposed" json:"exposed"`
	Skin                           string  `gorm:"column:skin" json:"skin"`
	SkinOther                      string  `gorm:"column:skin_other" json:"skin_other"`
	InfectOther                    string  `gorm:"column:infect_other" json:"infect_other"`
	DuctusArantiiOther             string  `gorm:"column:ductus_arantii_other" json:"ductus_arantii_other"`
}

func (AssessmentBeforeDislysis) TableName() string {
	return "xt_assessment_before_dislysis"
}

type MonitoringRecord struct {
	ID                        int64         `gorm:"column:id" json:"id"`
	UserOrgId                 int64         `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64         `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId           int64         `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	MonitoringDate            int64         `gorm:"column:monitoring_date" json:"monitoring_date"`
	MonitoringTime            string        `gorm:"column:monitoring_time" json:"monitoring_time"`
	PulseFrequency            float64       `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate             string        `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure     float64       `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure    float64       `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType         int64         `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	Pic                       string        `gorm:"column:pic" json:"pic"`
	BloodFlowVolume           float64       `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	VenousPressure            float64       `gorm:"column:venous_pressure" json:"venous_pressure"`
	VenousPressureUnit        string        `gorm:"column:venous_pressure_unit" json:"venous_pressure_unit"`
	ArterialPressure          float64       `gorm:"column:arterial_pressure" json:"arterial_pressure"`
	TransmembranePressure     float64       `gorm:"column:transmembrane_pressure" json:"transmembrane_pressure"`
	TransmembranePressureUnit string        `gorm:"column:transmembrane_pressure_unit" json:"transmembrane_pressure_unit"`
	UltrafiltrationRate       float64       `gorm:"column:ultrafiltration_rate" json:"ultrafiltration_rate"`
	UltrafiltrationVolume     float64       `gorm:"column:ultrafiltration_volume" json:"ultrafiltration_volume"`
	SodiumConcentration       float64       `gorm:"column:sodium_concentration" json:"sodium_concentration"`
	Temperature               float64       `gorm:"column:temperature" json:"temperature"`
	DialysateTemperature      float64       `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	ReplacementRate           float64       `gorm:"column:replacement_rate" json:"replacement_rate"`
	DisplacementQuantity      float64       `gorm:"column:displacement_quantity" json:"displacement_quantity"`
	Ktv                       float64       `gorm:"column:ktv" json:"ktv"`
	Symptom                   string        `gorm:"column:symptom" json:"symptom"`
	Dispose                   string        `gorm:"column:dispose" json:"dispose"`
	Result                    string        `gorm:"column:result" json:"result"`
	MonitoringNurse           int64         `gorm:"column:monitoring_nurse" json:"monitoring_nurse"`
	Status                    int64         `gorm:"column:status" json:"status"`
	CreatedTime               int64         `gorm:"column:created_time" json:"created_time"`
	UpdatedTime               int64         `gorm:"column:updated_time" json:"updated_time"`
	OperateTime               int64         `gorm:"column:operate_time" json:"operate_time"`
	Conductivity              float64       `gorm:"column:conductivity" json:"conductivity"`
	DisplacementFlowQuantity  float64       `gorm:"column:displacement_flow_quantity" json:"displacement_flow_quantity"`
	DialysisOrder             DialysisOrder `gorm:"ForeignKey:PatientId,DialysisDate;AssociationForeignKey:PatientId,MonitoringDate" json:"order"`
}

func (MonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}

type PatientLapseto struct {
	ID          int64 `gorm:"column:id" json:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id"`
	LapsetoType int64 `gorm:"column:lapseto_type" json:"lapseto_type"`
	LapsetoTime int64 `gorm:"column:lapseto_time" json:"lapseto_time"`
	Status      int64 `gorm:"column:status" json:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time"`
}

func (PatientLapseto) TableName() string {
	return "xt_patient_lapseto"
}

type XtPatientAllergic struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	PatientSource  int64  `gorm:"column:patient_source" json:"patient_source" form:"patient_source"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Remake         string `gorm:"column:remake" json:"remake" form:"remake"`
	PatientAddress string `gorm:"column:patient_address" json:"patient_address" form:"patient_address"`
}

func (XtPatientAllergic) TableName() string {
	return "xt_patient_allergic"
}

type DialysisOrder struct {
	ID             int64  `gorm:"column:id" json:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage"`
	Remark         string `gorm:"column:remark" json:"remark"`
	BedId          int64  `gorm:"column:bed_id" json:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier"`
}

func (DialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type VMDialysisOrder struct {
	ID                       int64                    `gorm:"column:id" json:"id"`
	DialysisDate             int64                    `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId                int64                    `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                int64                    `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId           int64                    `gorm:"column:prescription_id" json:"prescription_id"`
	Stage                    int64                    `gorm:"column:stage" json:"stage"`
	Remark                   string                   `gorm:"column:remark" json:"remark"`
	BedId                    int64                    `gorm:"column:bed_id" json:"bed_id"`
	StartNurse               int64                    `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse              int64                    `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status                   int64                    `gorm:"column:status" json:"status"`
	CreatedTime              int64                    `gorm:"column:created_time" json:"created_time"`
	UpdatedTime              int64                    `gorm:"column:updated_time" json:"updated_time"`
	StartTime                int64                    `gorm:"column:start_time" json:"start_time"`
	EndTime                  int64                    `gorm:"column:end_time" json:"end_time"`
	PunctureNurse            int64                    `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator                  int64                    `gorm:"column:creator" json:"creator"`
	Modifier                 int64                    `gorm:"column:modifier" json:"modifier"`
	FinishCreator            int64                    `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier           int64                    `gorm:"column:finish_modifier" json:"finish_modifier"`
	DeviceNumber             DeviceNumber             `gorm:"ForeignKey:ID;AssociationForeignKey:BedId" json:"device"`
	VMDialysisPrescription   VMDialysisPrescription   `gorm:"ForeignKey:RecordDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"prescription"`
	AssessmentBeforeDislysis AssessmentBeforeDislysis `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"before"`
	AssessmentAfterDislysis  AssessmentAfterDislysis  `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"after"`
	Schedule                 Schedule                 `gorm:"ForeignKey:ScheduleDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"schedule"`
	MonitoringRecord         []MonitoringRecord       `gorm:"ForeignKey:MonitoringDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"monitor"`
}

func (VMDialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type VMSchedule struct {
	ID                       int64                    `gorm:"column:id" json:"id"`
	UserOrgId                int64                    `gorm:"column:user_org_id" json:"user_org_id"`
	PartitionId              int64                    `gorm:"column:partition_id" json:"partition_id"`
	BedId                    int64                    `gorm:"column:bed_id" json:"bed_id"`
	PatientId                int64                    `gorm:"column:patient_id" json:"patient_id"`
	ScheduleDate             int64                    `gorm:"column:schedule_date" json:"schedule_date"`
	ScheduleType             int64                    `gorm:"column:schedule_type" json:"schedule_type"`
	ScheduleWeek             int64                    `gorm:"column:schedule_week" json:"schedule_week"`
	ModeId                   int64                    `gorm:"column:mode_id" json:"mode_id"`
	Status                   int64                    `gorm:"column:status" json:"status"`
	CreatedTime              int64                    `gorm:"column:created_time" json:"created_time"`
	UpdatedTime              int64                    `gorm:"column:updated_time" json:"updated_time"`
	DeviceNumber             DeviceNumber             `gorm:"ForeignKey:ID;AssociationForeignKey:BedId" json:"device"`
	VMDialysisPrescription   VMDialysisPrescription   `gorm:"ForeignKey:RecordDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"prescription"`
	AssessmentBeforeDislysis AssessmentBeforeDislysis `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"before"`
	AssessmentAfterDislysis  AssessmentAfterDislysis  `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"after"`
	DialysisOrder            DialysisOrder            `gorm:"ForeignKey:DialysisDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"order"`
	MonitoringRecord         []MonitoringRecord       `gorm:"ForeignKey:MonitoringDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"monitor"`
}

func (VMSchedule) TableName() string {
	return "xt_schedule"
}

type VMDialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark"`
	Status                     int64   `gorm:"column:status" json:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid"`
}

func (VMDialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type DeviceInformation struct {
	ID                    int64             `gorm:"column:id" json:"id" form:"id"`
	Date                  int64             `gorm:"column:date" json:"date" form:"date"`
	Class                 int64             `gorm:"column:class" json:"class" form:"class"`
	Zone                  int64             `gorm:"column:zone" json:"zone" form:"zone"`
	BedNumber             int64             `gorm:"column:bed_number" json:"bed_number" form:"bed_number"`
	PatientId             int64             `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Contagion             string            `gorm:"column:contagion" json:"contagion" form:"contagion"`
	DialysisMode          int64             `gorm:"column:dialysis_mode" json:"dialysis_mode" form:"dialysis_mode"`
	StartTime             int64             `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime               int64             `gorm:"column:end_time" json:"end_time" form:"end_time"`
	DialysisHour          string            `gorm:"column:dialysis_hour" json:"dialysis_hour" form:"dialysis_hour"`
	Hyperfiltratio        float64           `gorm:"column:hyperfiltratio" json:"hyperfiltratio" form:"hyperfiltratio"`
	WeightLoss            float64           `gorm:"column:weight_loss" json:"weight_loss" form:"weight_loss"`
	WarningValue          string            `gorm:"column:warning_value" json:"warning_value" form:"warning_value"`
	UserTotal             string            `gorm:"column:user_total" json:"user_total" form:"user_total"`
	Move                  int64             `gorm:"column:move" json:"move" form:"move"`
	FailureStage          int64             `gorm:"column:failure_stage" json:"failure_stage" form:"failure_stage"`
	FaultDescription      string            `gorm:"column:fault_description" json:"fault_description" form:"fault_description"`
	CodeInformation       string            `gorm:"column:code_information" json:"code_information" form:"code_information"`
	DisinfectType         int64             `gorm:"column:disinfect_type" json:"disinfect_type" form:"disinfect_type"`
	DisinfectantType      int64             `gorm:"column:disinfectant_type" json:"disinfectant_type" form:"disinfectant_type"`
	Disinfection          int64             `gorm:"column:disinfection" json:"disinfection" form:"disinfection"`
	MachineRun            int64             `gorm:"column:machine_run" json:"machine_run" form:"machine_run"`
	FluidPath             int64             `gorm:"column:fluid_path" json:"fluid_path" form:"fluid_path"`
	Disinfectant          int64             `gorm:"column:disinfectant" json:"disinfectant" form:"disinfectant"`
	DisinfectionStatus    int64             `gorm:"column:disinfection_status" json:"disinfection_status" form:"disinfection_status"`
	DisinfectionResidue   int64             `gorm:"column:disinfection_residue" json:"disinfection_residue" form:"disinfection_residue"`
	LongTime              string            `gorm:"column:long_time" json:"long_time" form:"long_time"`
	DisinfecStartime      int64             `gorm:"column:disinfec_startime" json:"disinfec_startime" form:"disinfec_startime"`
	DisinfecEndtime       int64             `gorm:"column:disinfec_endtime" json:"disinfec_endtime" form:"disinfec_endtime"`
	DialysisChecked       int64             `gorm:"column:dialysis_checked" json:"dialysis_checked" form:"dialysis_checked"`
	DialysisName          int64             `gorm:"column:dialysis_name" json:"dialysis_name" form:"dialysis_name"`
	Norms                 string            `gorm:"column:norms" json:"norms" form:"norms"`
	DialysisConcentration int64             `gorm:"column:dialysis_concentration" json:"dialysis_concentration" form:"dialysis_concentration"`
	GermChecked           int64             `gorm:"column:germ_checked" json:"germ_checked" form:"germ_checked"`
	GermName              int64             `gorm:"column:germ_name" json:"germ_name" form:"germ_name"`
	GermNumber            string            `gorm:"column:germ_number" json:"germ_number" form:"germ_number"`
	Clean                 int64             `gorm:"column:clean" json:"clean" form:"clean"`
	SignName              int64             `gorm:"column:sign_name" json:"sign_name" form:"sign_name"`
	Status                int64             `gorm:"column:status" json:"status" form:"status"`
	Ctime                 int64             `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                 int64             `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId             int64             `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	EquimentId            int64             `gorm:"column:equiment_id" json:"equiment_id" form:"equiment_id"`
	Bed                   string            `gorm:"column:bed" json:"bed" form:"bed"`
	Stime                 int64             `gorm:"column:stime" json:"stime" form:"stime"`
	VMDeviceAddmacher     VMDeviceAddmacher `gorm:"ForeignKey:ID;AssociationForeignKey:EquimentId"`
}

func (DeviceInformation) TableName() string {

	return "xt_device_information"
}

type VMDeviceAddmacher struct {
	ID                  int64        `gorm:"column:id" json:"id" form:"id"`
	SerialNumber        string       `gorm:"column:serial_number" json:"serial_number" form:"serial_number"`
	DeviceType          int64        `gorm:"column:device_type" json:"device_type" form:"device_type"`
	BedNumber           string       `gorm:"column:bed_number" json:"bed_number" form:"bed_number"`
	DeviceName          string       `gorm:"column:device_name" json:"device_name" form:"device_name"`
	ManufactureFactory  string       `gorm:"column:manufacture_factory" json:"manufacture_factory" form:"manufacture_factory"`
	ServiceManufacturer string       `gorm:"column:service_manufacturer" json:"service_manufacturer" form:"service_manufacturer"`
	UnitType            int64        `gorm:"column:unit_type" json:"unit_type" form:"unit_type"`
	UseSection          string       `gorm:"column:use_section" json:"use_section" form:"use_section"`
	SectionNumber       string       `gorm:"column:section_number" json:"section_number" form:"section_number"`
	BuyDate             int64        `gorm:"column:buy_date" json:"buy_date" form:"buy_date"`
	InstallDate         int64        `gorm:"column:install_date" json:"install_date" form:"install_date"`
	StartDate           int64        `gorm:"column:start_date" json:"start_date" form:"start_date"`
	MaintenaceEngineer  string       `gorm:"column:maintenace_engineer" json:"maintenace_engineer" form:"maintenace_engineer"`
	Telephone           string       `gorm:"column:telephone" json:"telephone" form:"telephone"`
	GuaranteeDate       string       `gorm:"column:guarantee_date" json:"guarantee_date" form:"guarantee_date"`
	MachineStatus       int64        `gorm:"column:machine_status" json:"machine_status" form:"machine_status"`
	UserTotal           string       `gorm:"column:user_total" json:"user_total" form:"user_total"`
	DisinfectionMode    int64        `gorm:"column:disinfection_mode" json:"disinfection_mode" form:"disinfection_mode"`
	Remarks             string       `gorm:"column:remarks" json:"remarks" form:"remarks"`
	RubbishDate         int64        `gorm:"column:rubbish_date" json:"rubbish_date" form:"rubbish_date"`
	RubbishReason       int64        `gorm:"column:rubbish_reason" json:"rubbish_reason" form:"rubbish_reason"`
	UserYear            string       `gorm:"column:user_year" json:"user_year" form:"user_year"`
	WorkTime            string       `gorm:"column:work_time" json:"work_time" form:"work_time"`
	ReversMode          int64        `gorm:"column:revers_mode" json:"revers_mode" form:"revers_mode"`
	UserOrgId           int64        `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status              int64        `gorm:"column:status" json:"status" form:"status"`
	Ctime               int64        `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64        `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ZoneId              int64        `gorm:"column:zone_id" json:"zone_id" form:"zone_id"`
	BedId               int64        `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	DeviceNumber        DeviceNumber `gorm:"ForeignKey:ID;AssociationForeignKey:BedId"`
}

func (VMDeviceAddmacher) TableName() string {
	return "xt_device_addmacher"
}

type DevicePlan struct {
	ID                  int64             `gorm:"column:id" json:"id" form:"id"`
	DeviceType          int64             `gorm:"column:device_type" json:"device_type" form:"device_type"`
	DisinfecTime        int64             `gorm:"column:disinfec_time" json:"disinfec_time" form:"disinfec_time"`
	Time                int64             `gorm:"column:time" json:"time" form:"time"`
	Classtime           int64             `gorm:"column:classtime" json:"classtime" form:"classtime"`
	Way                 int64             `gorm:"column:way" json:"way" form:"way"`
	MachineDisinfectant int64             `gorm:"column:machine_disinfectant" json:"machine_disinfectant" form:"machine_disinfectant"`
	DisinfectanWay      int64             `gorm:"column:disinfectan_way" json:"disinfectan_way" form:"disinfectan_way"`
	Disinfectant        int64             `gorm:"column:disinfectant" json:"disinfectant" form:"disinfectant"`
	Status              int64             `gorm:"column:status" json:"status" form:"status"`
	Ctime               int64             `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64             `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId           int64             `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	EquimentId          int64             `gorm:"column:equiment_id" json:"equiment_id" form:"equiment_id"`
	BedId               int64             `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	VMDeviceAddmacher   VMDeviceAddmacher `gorm:"ForeignKey:ID;AssociationForeignKey:EquimentId"`
}

func (DevicePlan) TableName() string {

	return "xt_device_plan"
}

type DeviceRepair struct {
	ID                int64             `gorm:"column:id" json:"id" form:"id"`
	GuaranteeDate     int64             `gorm:"column:guarantee_date" json:"guarantee_date" form:"guarantee_date"`
	StartTime         int64             `gorm:"column:start_time" json:"start_time" form:"start_time"`
	ArriveTime        int64             `gorm:"column:arrive_time" json:"arrive_time" form:"arrive_time"`
	FinishTime        int64             `gorm:"column:finish_time" json:"finish_time" form:"finish_time"`
	TotalDistance     string            `gorm:"column:total_distance" json:"total_distance" form:"total_distance"`
	FailureStage      int64             `gorm:"column:failure_stage" json:"failure_stage" form:"failure_stage"`
	FaultDescription  string            `gorm:"column:fault_description" json:"fault_description" form:"fault_description"`
	CauseAnalysis     string            `gorm:"column:cause_analysis" json:"cause_analysis" form:"cause_analysis"`
	TreatmentProcess  string            `gorm:"column:treatment_process" json:"treatment_process" form:"treatment_process"`
	Images            string            `gorm:"column:images" json:"images" form:"images"`
	Exclude           int64             `gorm:"column:exclude" json:"exclude" form:"exclude"`
	Reason            string            `gorm:"column:reason" json:"reason" form:"reason"`
	Ctime             int64             `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64             `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64             `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64             `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	BedId             int64             `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64             `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	CodeInformation   string            `gorm:"column:code_information" json:"code_information" form:"code_information"`
	ImageName         string            `gorm:"column:image_name" json:"image_name" form:"image_name"`
	VMDeviceAddmacher VMDeviceAddmacher `gorm:"ForeignKey:ID;AssociationForeignKey:EquitmentId"`
}

func (DeviceRepair) TableName() string {
	return "xt_device_repair"
}

type XtInspectionReference struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectName      string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Project          string `gorm:"column:project" json:"project" form:"project"`
	ProjectId        int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemName         string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ItemNameAddition string `gorm:"column:item_name_addition" json:"item_name_addition" form:"item_name_addition"`
	ItemId           int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Item             string `gorm:"column:item" json:"item" form:"item"`
	RangeType        int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeMin         string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	RangeMax         string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangeValue       string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	RangeOptions     string `gorm:"column:range_options" json:"range_options" form:"range_options"`
	Unit             string `gorm:"column:unit" json:"unit" form:"unit"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime      int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime      int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtInspectionReference) TableName() string {

	return "xt_inspection_reference"
}

type XtInspection struct {
	ID                    int64                 `gorm:"column:id" json:"id" form:"id"`
	PatientId             int64                 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId                 int64                 `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId             int64                 `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId                int64                 `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName              string                `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName           string                `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType           int64                 `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue          string                `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate           int64                 `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status                int64                 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64                 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64                 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Patients              Patients              `gorm:"ForeignKey:ID;AssociationForeignKey:PatientId"`
	XtInspectionReference XtInspectionReference `gorm:"ForeignKey:ProjectId,ItemId;AssociationForeignKey:ProjectId,ItemId;"`
}

func (XtInspection) TableName() string {

	return "xt_inspection"
}

type XtDeviceCulture struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SpelingDate       int64  `gorm:"column:speling_date" json:"speling_date" form:"speling_date"`
	Specimen          int64  `gorm:"column:specimen" json:"specimen" form:"specimen"`
	ConcentrateNoa    string `gorm:"column:concentrate_noa" json:"concentrate_noa" form:"concentrate_noa"`
	ConcentrateNob    string `gorm:"column:concentrate_nob" json:"concentrate_nob" form:"concentrate_nob"`
	SamplingLocationa int64  `gorm:"column:sampling_locationa" json:"sampling_locationa" form:"sampling_locationa"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Sampler           int64  `gorm:"column:sampler" json:"sampler" form:"sampler"`
	ReportingDate     int64  `gorm:"column:reporting_date" json:"reporting_date" form:"reporting_date"`
	DetectionResult   string `gorm:"column:detection_result" json:"detection_result" form:"detection_result"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceCulture) TableName() string {
	return "xt_device_culture"
}

type XtDeviceDialysate struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceDialysate) TableName() string {
	return "xt_device_dialysate"
}

type XtAerialDetection struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	StartTime           int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	Class               int64  `gorm:"column:class" json:"class" form:"class"`
	DisinfectionMethods string `gorm:"column:disinfection_methods" json:"disinfection_methods" form:"disinfection_methods"`
	DisinfectionFluid   string `gorm:"column:disinfection_fluid" json:"disinfection_fluid" form:"disinfection_fluid"`
	Sort                string `gorm:"column:sort" json:"sort" form:"sort"`
	Creator             int64  `gorm:"column:creator" json:"creator" form:"creator"`
	DetectionTime       int64  `gorm:"column:detection_time" json:"detection_time" form:"detection_time"`
	DetectionResult     string `gorm:"column:detection_result" json:"detection_result" form:"detection_result"`
	UploadTime          int64  `gorm:"column:upload_time" json:"upload_time" form:"upload_time"`
	CheckOut            int64  `gorm:"column:check_out" json:"check_out" form:"check_out"`
	Modifications       int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime               int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
}

func (XtAerialDetection) TableName() string {
	return "xt_aerial_detection"
}

type XtBodyDetection struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	StartTime           int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	Class               int64  `gorm:"column:class" json:"class" form:"class"`
	DisinfectionMethods string `gorm:"column:disinfection_methods" json:"disinfection_methods" form:"disinfection_methods"`
	DisinfectionFluid   string `gorm:"column:disinfection_fluid" json:"disinfection_fluid" form:"disinfection_fluid"`
	Sort                string `gorm:"column:sort" json:"sort" form:"sort"`
	Creator             int64  `gorm:"column:creator" json:"creator" form:"creator"`
	DetectionTime       int64  `gorm:"column:detection_time" json:"detection_time" form:"detection_time"`
	DetectionResult     string `gorm:"column:detection_result" json:"detection_result" form:"detection_result"`
	UploadTime          int64  `gorm:"column:upload_time" json:"upload_time" form:"upload_time"`
	CheckOut            int64  `gorm:"column:check_out" json:"check_out" form:"check_out"`
	Modifications       int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime               int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
}

func (XtBodyDetection) TableName() string {
	return "xt_body_detection"
}

type XtDeviceWater struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceWater) TableName() string {
	return "xt_device_water"
}

//透析液离子浓度检测
type DeviceIon struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate    int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Samplerc        int64  `gorm:"column:samplerc" json:"samplerc" form:"samplerc"`
	DetectionUnit   string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	ConcentrateNof  string `gorm:"column:concentrate_nof" json:"concentrate_nof" form:"concentrate_nof"`
	ConcentrateNog  string `gorm:"column:concentrate_nog" json:"concentrate_nog" form:"concentrate_nog"`
	DateReportc     int64  `gorm:"column:date_reportc" json:"date_reportc" form:"date_reportc"`
	ActualNa        string `gorm:"column:actual_na" json:"actual_na" form:"actual_na"`
	ActualPna       string `gorm:"column:actual_pna" json:"actual_pna" form:"actual_pna"`
	ActualK         string `gorm:"column:actual_k" json:"actual_k" form:"actual_k"`
	ActualCa        string `gorm:"column:actual_ca" json:"actual_ca" form:"actual_ca"`
	ActualCi        string `gorm:"column:actual_ci" json:"actual_ci" form:"actual_ci"`
	ActualHco       string `gorm:"column:actual_hco" json:"actual_hco" form:"actual_hco"`
	ActualMg        string `gorm:"column:actual_mg" json:"actual_mg" form:"actual_mg"`
	ActualPh        string `gorm:"column:actual_ph" json:"actual_ph" form:"actual_ph"`
	Remakes         string `gorm:"column:remakes" json:"remakes" form:"remakes"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime           int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId           int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId     int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed             string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort            string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications   int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (DeviceIon) TableName() string {

	return "xt_device_ion"
}

type XtDeviceOxygenates struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceOxygenates) TableName() string {
	return "xt_device_oxygenates"
}

type XtDevicePh struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDevicePh) TableName() string {
	return "xt_device_ph"
}

type XtDeviceHadwater struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceHadwater) TableName() string {
	return "xt_device_hadwater"
}

type XtPatientVascularAccess struct {
	ID                     int64  `gorm:"column:id" json:"id" form:"id"`
	AccessProject          int64  `gorm:"column:access_project" json:"access_project" form:"access_project"`
	BloodAccessPartId      string `gorm:"column:blood_access_part_id" json:"blood_access_part_id" form:"blood_access_part_id"`
	InflowPass             string `gorm:"column:inflow_pass" json:"inflow_pass" form:"inflow_pass"`
	StartTime              int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	FirstStartTime         int64  `gorm:"column:first_start_time" json:"first_start_time" form:"first_start_time"`
	BloodAccessPartOperaId string `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id" form:"blood_access_part_opera_id"`
	StopReason             string `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	Remark                 string `gorm:"column:remark" json:"remark" form:"remark"`
	UserStatus             int64  `gorm:"column:user_status" json:"user_status" form:"user_status"`
	Creator                int64  `gorm:"column:creator" json:"creator" form:"creator"`
	UserOrgId              int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modify                 int64  `gorm:"column:modify" json:"modify" form:"modify"`
	StopTime               int64  `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	PatientId              int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OtherVascular          string `gorm:"column:other_vascular" json:"other_vascular" form:"other_vascular"`
	CiType                 int64  `gorm:"column:ci_type" json:"ci_type" form:"ci_type"`
	BloodCultupe           int64  `gorm:"column:blood_cultupe" json:"blood_cultupe" form:"blood_cultupe"`
	SequelaeType           int64  `gorm:"column:sequelae_type" json:"sequelae_type" form:"sequelae_type"`
}

func (XtPatientVascularAccess) TableName() string {
	return "xt_patient_vascular_access"
}

type App_Role struct {
	Id              int64  `gorm:"PRIMARY_KEY;AUTO_INCREMENT" json:"id"`
	AdminUserId     int64  `gorm:"column:admin_user_id" json:"admin_user_id"`
	OrgId           int64  `gorm:"column:org_id" json:"org_id"`
	AppId           int64  `gorm:"column:app_id" json:"app_id"`
	RoleId          int64  `gorm:"column:role_id" json:"role_id"`
	Avatar          string `json:"avatar" json:"avatar"`
	UserName        string `gorm:"column:user_name" json:"user_name"`   // 用户名称
	Intro           string `json:"intro"`                               // 简介
	UserType        int8   `gorm:"column:user_type" json:"user_type"`   // 用户类型（1.管理员；2.医生；3.护士；4.运营）
	UserTitle       int8   `gorm:"column:user_title" json:"user_title"` // 用户职称（1.医士；2.医师；3.住院医师；4.主治医师；5.副主任医师；6.主任医师；7.护士；8.护师；9.主管护师；10.副主任护师；11.主任护师；12.运营专员；13.运营主管）
	Status          int8   `json:"status"`                              // 状态 0.无效 1.有效
	CreateTime      int64  `gorm:"column:ctime" json:"ctime"`           // 创建时间
	ModifyTime      int64  `gorm:"column:mtime" json:"mtime"`           // 修改时间UserTitleName string `gorm:"column:user_title_name" json:"user_title_name" form:"user_title_name"`
	UserTitleName   string `gorm:"column:user_title_name" json:"user_title_name" form:"user_title_name"`
	RoleIds         string `gorm:"column:role_ids" json:"role_ids" form:"role_ids"`
	IsSubSuperAdmin bool   `gorm:"-" json:"is_sub_super_admin" form:"is_sub_super_admin"`
	Message         string `gorm:"column:message" json:"message" form:"message"`
	Sex             int64  `gorm:"column:sex" json:"sex" form:"sex"`
	Birthday        int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Sort            int64  `gorm:"column:sort" json:"sort" form:"sort"`
	IsSort          int64  `gorm:"column:is_sort" json:"is_sort" form:"is_sort"`
	DepartmentId    int64  `gorm:"column:department_id" json:"department_id" form:"department_id"`
	Department      string `gorm:"column:department" json:"department" form:"department"`

	Age                                     int64  `gorm:"column:age" json:"age" form:"age"`
	Nation                                  string `gorm:"column:nation" json:"nation" form:"nation"`
	CardType                                int64  `gorm:"column:card_type" json:"card_type" form:"card_type"`
	IdCard                                  string `gorm:"column:id_card" json:"id_card" form:"id_card"`
	Education                               int64  `gorm:"column:education" json:"education" form:"education"`
	StudyMajorName                          string `gorm:"column:study_major_name" json:"study_major_name" form:"study_major_name"`
	WorkMajorName                           string `gorm:"column:work_major_name" json:"work_major_name" form:"work_major_name"`
	RoleType                                int64  `gorm:"column:role_type" json:"role_type" form:"role_type"`
	MedicalCode                             string `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	DoctorCode                              string `gorm:"column:doctor_code" json:"doctor_code" form:"doctor_code"`
	Licensing                               int64  `gorm:"column:licensing" json:"licensing" form:"licensing"`
	JobNumber                               string `gorm:"column:job_number" json:"job_number" form:"job_number"`
	PrescriptionQualificationIdentification int64  `gorm:"column:prescription_qualification_identification" json:"prescription_qualification_identification" form:"prescription_qualification_identification"`
	IdentificationOutpatients               int64  `gorm:"column:identification_outpatients" json:"identification_outpatients" form:"identification_outpatients"`
	StartTime                               int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	MedicalRangeCode                        int64  `gorm:"column:medical_range_code" json:"medical_range_code" form:"medical_range_code"`
	MedicalLevel                            int64  `gorm:"column:medical_level" json:"medical_level" form:"medical_level"`
	MedicalTypeJob                          int64  `gorm:"column:medical_type_job" json:"medical_type_job" form:"medical_type_job"`
	PharmacistRegistrationNumber            string `gorm:"column:pharmacist_registration_number" json:"pharmacist_registration_number" form:"pharmacist_registration_number"`
	DoctorRangeCode                         int64  `gorm:"column:doctor_range_code" json:"doctor_range_code" form:"doctor_range_code"`
	DoctorLevel                             int64  `gorm:"column:doctor_level" json:"doctor_level" form:"doctor_level"`
	DoctorTypeJob                           int64  `gorm:"column:doctor_type_job" json:"doctor_type_job" form:"doctor_type_job"`
	DoctorNumber                            string `gorm:"column:doctor_number" json:"doctor_number" form:"doctor_number"`
	OutpatientIllnesscategory               string `gorm:"column:outpatient_illness_category" json:"outpatient_illness_category" form:"outpatient_illness_category"`
	IsActive                                int64  `gorm:"column:is_active" json:"is_active" form:"is_active"`
	ActiveStatus                            int64  `gorm:"column:active_status" json:"active_status" form:"active_status"`
}

func (App_Role) TableName() string {
	return "sgj_user_admin_role"
}

type HisPrescriptionInfo struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId          int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator            int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Diagnosis          string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	RegisterType       int64  `gorm:"column:register_type" json:"register_type" form:"register_type"`
	Doctor             string `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Departments        int64  `gorm:"column:departments" json:"departments" form:"departments"`
	SickHistory        string `gorm:"column:sick_history" json:"sick_history" form:"sick_history"`
	PrescriptionNumber string `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	PrescriptionStatus int64  `gorm:"column:prescription_status" json:"prescription_status" form:"prescription_status"`
	BatchNumber        string `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	DoctorId           int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	SickType           int64  `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
}

func (HisPrescriptionInfo) TableName() string {
	return "his_prescription_info"
}

type HisPrescription struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId          int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number             string `gorm:"column:number" json:"number" form:"number"`
	Type               int64  `gorm:"column:type" json:"type" form:"type"`
	Doctor             string `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator            int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	OrderStatus        int64  `gorm:"column:order_status" json:"order_status" form:"order_status"`
	BatchNumber        string `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	PrescriptionNumber string `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
}

func (HisPrescription) TableName() string {
	return "his_prescription"
}

type HisDoctorAdviceInfo struct {
	ID                    int64       `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64       `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64       `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64       `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64       `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64       `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64       `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string      `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string      `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64       `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64     `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string      `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64     `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string      `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string      `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string      `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64       `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64       `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64       `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64       `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string      `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string      `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64       `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string      `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64       `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64       `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64       `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64       `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64       `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64       `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64       `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64       `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64       `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64       `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64       `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64     `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string      `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64       `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64       `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64       `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64       `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string      `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string      `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64       `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64       `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64     `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64       `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string      `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string      `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64       `gorm:"column:day" json:"day" form:"day"`
	BaseDrugLib           BaseDrugLib `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug"`
}

func (HisDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type HisPrescriptionProject struct {
	ID                 int64      `gorm:"column:id" json:"id" form:"id"`
	ProjectId          int64      `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price              float64    `gorm:"column:price" json:"price" form:"price"`
	UserOrgId          int64      `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64      `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64      `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64      `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId          int64      `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64      `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate         int64      `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId     int64      `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              string     `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn          string     `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg        string     `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose         string     `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay        string     `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency string     `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                string     `gorm:"column:day" json:"day" form:"day"`
	HisProject         HisProject `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"project"`
	GoodInfo           GoodInfo   `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"good_info"`

	Remark string `gorm:"column:remark" json:"remark" form:"remark"`
	Unit   string `gorm:"column:unit" json:"unit" form:"unit"`
	Type   int64  `gorm:"column:type" json:"type" form:"type"`

	Doctor         int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	ExecutionTime  int64  `gborm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff int64  `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState int64  `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	CheckTime      int64  `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState     int64  `gorm:"column:check_state" json:"check_state" form:"check_state"`
	Checker        int64  `gorm:"column:checker" json:"checker" form:"checker"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	TeamId         int64  `gorm:"column:team_id" json:"team_id" form:"team_id"`
	FrequencyType  int64  `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount       int64  `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay        string `gorm:"column:week_day" json:"week_day" form:"week_day"`
	IsCheckTeam    int64  `gorm:"-" json:"is_check_team" form:"is_check_team"`
}

func (HisPrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type GoodInfo struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	GoodCode               string  `gorm:"column:good_code" json:"good_code" form:"good_code"`
	SpecificationName      string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	GoodTypeId             int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	GoodUnit               int64   `gorm:"column:good_unit" json:"good_unit" form:"good_unit"`
	BuyPrice               float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	SellPrice              float64 `gorm:"column:sell_price" json:"sell_price" form:"sell_price"`
	Remark                 string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Manufacturer           int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer                 int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	ExpiryDateWarnDayCount int64   `gorm:"column:expiry_date_warn_day_count" json:"expiry_date_warn_day_count" form:"expiry_date_warn_day_count"`
	StockWarnCount         int64   `gorm:"column:stock_warn_count" json:"stock_warn_count" form:"stock_warn_count"`
	IsReuse                int64   `gorm:"column:is_reuse" json:"is_reuse" form:"is_reuse"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	FilmArea               string  `gorm:"column:film_area" json:"film_area" form:"film_area"`
	IsUse                  int64   `gorm:"column:is_use" json:"is_use" form:"is_use"`
	FilmMaterialQuality    string  `gorm:"column:film_material_quality" json:"film_material_quality" form:"film_material_quality"`
	OrgId                  int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Modifier               int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Creater                int64   `gorm:"column:creater" json:"creater" form:"creater"`
	GoodName               string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	Pinyin                 string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                   string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	GoodKind               int64   `gorm:"column:good_kind" json:"good_kind" form:"good_kind"`
	MedicalInsuranceLevel  int64   `gorm:"column:medical_insurance_level" json:"medical_insurance_level" form:"medical_insurance_level"`
	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	ProvincesCode          string  `gorm:"column:provinces_code" json:"provinces_code" form:"provinces_code"`

	IsSpecialDiseases           int64   `gorm:"column:is_special_diseases" json:"is_special_diseases" form:"is_special_diseases"`
	IsRecord                    int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	StatisticsCategory          int64   `gorm:"column:statistics_category" json:"statistics_category" form:"statistics_category"`
	GoodStatus                  string  `gorm:"column:good_status" json:"good_status" form:"good_status"`
	DefaultCount                int64   `gorm:"column:default_count" json:"default_count" form:"default_count"`
	Sign                        int64   `gorm:"column:sign" json:"sign" form:"sign"`
	IsDefault                   int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsChargeUse                 int64   `gorm:"column:is_charge_use" json:"is_charge_use" form:"is_charge_use"`
	IsChargePredict             int64   `gorm:"column:is_charge_predict" json:"is_charge_predict" form:"is_charge_predict"`
	IsStatisticsWork            int64   `gorm:"column:is_statistics_work" json:"is_statistics_work" form:"is_statistics_work"`
	Sort                        int64   `gorm:"column:sort" json:"sort" form:"sort"`
	IsDoctorUse                 int64   `gorm:"column:is_doctor_use" json:"is_doctor_use" form:"is_doctor_use"`
	Agent                       string  `gorm:"column:agent" json:"agent" form:"agent"`
	GoodNumber                  string  `gorm:"column:good_number" json:"good_number" form:"good_number"`
	CommdityCode                string  `gorm:"column:commdity_code" json:"commdity_code" form:"commdity_code"`
	SocialSecurityDirectoryCode string  `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	ProductionType              string  `gorm:"column:production_type" json:"production_type" form:"production_type"`
	SpecialMedical              string  `gorm:"column:special_medical" json:"special_medical" form:"special_medical"`
	IsMark                      int64   `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	MinNumber                   int64   `gorm:"column:min_number" json:"min_number" form:"min_number"`
	PackingUnit                 string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	PackingPrice                float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	DefaultCountUnit            string  `gorm:"column:default_count_unit" json:"default_count_unit" form:"default_count_unit"`
	MinUnit                     string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	Total                       float64 `gorm:"column:total" json:"total" form:"total"`

	RegisterNumber string `gorm:"column:register_number" json:"register_number" form:"register_number"`

	IsUser          int64   `gorm:"column:is_user" json:"is_user" form:"is_user"`
	Number          string  `gorm:"column:number" json:"number" form:"number"`
	IsWarehouse     int64   `gorm:"column:is_warehouse" json:"is_warehouse" form:"is_warehouse"`
	SumCount        int64   `gorm:"column:sum_count" json:"sum_count" form:"sum_count"`
	BatchRetaiPrice float64 `gorm:"column:batch_retai_price" json:"batch_retai_price" form:"batch_retai_price"`
	SumInCount      int64   `gorm:"column:sum_in_count" json:"sum_in_count" form:"sum_in_count"`
}

func (GoodInfo) TableName() string {
	return "xt_good_information"
}

type HisProject struct {
	ID                          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName                 string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                       float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                        string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify                int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection            int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage             int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification   int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory            int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                    int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode                 string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus               int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                      string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                        int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber               string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                   int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                    int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                  int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                  int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                        string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice                int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                 int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                 int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DeliveryWay                 string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	NumberDays                  string  `gorm:"column:number_days" json:"number_days" form:"number_days"`
	Total                       string  `gorm:"column:total" json:"total" form:"total"`
	Category                    int64   `gorm:"column:category" json:"category" form:"category"`
	IsMark                      int64   `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	SpecailProject              int64   `gorm:"column:specail_project" json:"specail_project" form:"specail_project"`
	SocialSecurityDirectoryCode string  `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	RecordDate                  int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	SingleDose                  string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	ExecutionFrequency          string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
}

func (HisProject) TableName() string {
	return "xt_his_project"
}

type HisChargeDoctorAdviceInfo struct {
	ID                    int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceName            string `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	PrescribingNumberUnit string `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	Status                int64  `gorm:"column:status" json:"status" form:"status"`
	DrugId                int64  `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Remark                string `gorm:"column:remark" json:"remark" form:"remark"`
	AdviceDate            int64  `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
}

func (HisChargeDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type BaseDrugLib struct {
	ID                          int64   `gorm:"column:id" json:"id" form:"id"`
	DrugName                    string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	Pinyin                      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	DrugAlias                   string  `gorm:"column:drug_alias" json:"drug_alias" form:"drug_alias"`
	DrugAliasPinyin             string  `gorm:"column:drug_alias_pinyin" json:"drug_alias_pinyin" form:"drug_alias_pinyin"`
	DrugAliasWubi               string  `gorm:"column:drug_alias_wubi" json:"drug_alias_wubi" form:"drug_alias_wubi"`
	DrugCategory                int64   `gorm:"column:drug_category" json:"drug_category" form:"drug_category"`
	DrugSpec                    string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugType                    int64   `gorm:"column:drug_type" json:"drug_type" form:"drug_type"`
	DrugStockLimit              string  `gorm:"column:drug_stock_limit" json:"drug_stock_limit" form:"drug_stock_limit"`
	DrugOriginPlace             string  `gorm:"column:drug_origin_place" json:"drug_origin_place" form:"drug_origin_place"`
	DrugDosageForm              int64   `gorm:"column:drug_dosage_form" json:"drug_dosage_form" form:"drug_dosage_form"`
	MedicalInsuranceLevel       int64   `gorm:"column:medical_insurance_level" json:"medical_insurance_level" form:"medical_insurance_level"`
	MaxUnit                     string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit                     string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	UnitMatrixing               string  `gorm:"column:unit_matrixing" json:"unit_matrixing" form:"unit_matrixing"`
	RetailPrice                 float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	LastPrice                   float64 `gorm:"column:last_price" json:"last_price" form:"last_price"`
	DrugControl                 int64   `gorm:"column:drug_control" json:"drug_control" form:"drug_control"`
	Number                      string  `gorm:"column:number" json:"number" form:"number"`
	DrugClassify                string  `gorm:"column:drug_classify" json:"drug_classify" form:"drug_classify"`
	DrugDose                    float64 `gorm:"column:drug_dose" json:"drug_dose" form:"drug_dose"`
	DrugDoseUnit                int64   `gorm:"column:drug_dose_unit" json:"drug_dose_unit" form:"drug_dose_unit"`
	MedicalInsuranceNumber      string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Manufacturer                int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	PharmacologyCategory        int64   `gorm:"column:pharmacology_category" json:"pharmacology_category" form:"pharmacology_category"`
	StatisticsCategory          int64   `gorm:"column:statistics_category" json:"statistics_category" form:"statistics_category"`
	Code                        string  `gorm:"column:code" json:"code" form:"code"`
	IsSpecialDiseases           int64   `gorm:"column:is_special_diseases" json:"is_special_diseases" form:"is_special_diseases"`
	IsRecord                    int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	Agent                       string  `gorm:"column:agent" json:"agent" form:"agent"`
	DrugStatus                  string  `gorm:"column:drug_status" json:"drug_status" form:"drug_status"`
	LimitRemark                 string  `gorm:"column:limit_remark" json:"limit_remark" form:"limit_remark"`
	DeliveryWay                 string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency          string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	SingleDose                  float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	PrescribingNumber           float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	Label                       int64   `gorm:"column:label" json:"label" form:"label"`
	Sort                        int64   `gorm:"column:sort" json:"sort" form:"sort"`
	IsUseDoctorAdvice           int64   `gorm:"column:is_use_doctor_advice" json:"is_use_doctor_advice" form:"is_use_doctor_advice"`
	IsDefault                   int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsChargePredict             int64   `gorm:"column:is_charge_predict" json:"is_charge_predict" form:"is_charge_predict"`
	IsStatisticsWork            int64   `gorm:"column:is_statistics_work" json:"is_statistics_work" form:"is_statistics_work"`
	IsChargeUse                 int64   `gorm:"column:is_charge_use" json:"is_charge_use" form:"is_charge_use"`
	Status                      int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                       int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                       int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	OrgId                       int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	DrugCode                    string  `gorm:"column:drug_code" json:"drug_code" form:"drug_code"`
	PrescriptionMark            int64   `gorm:"column:prescription_mark" json:"prescription_mark" form:"prescription_mark"`
	RecordDate                  int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DrugRemark                  string  `gorm:"column:drug_remark" json:"drug_remark" form:"drug_remark"`
	SocialSecurityDirectoryCode string  `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	DoseCode                    string  `gorm:"column:dose_code" json:"dose_code" form:"dose_code"`
	IsMark                      int64   `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	HospApprFlag                int64   `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	LmtUsedFlag                 int64   `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	//MedicineInsurancePercentage []*MedicineInsurancePercentage `gorm:"ForeignKey:PatientId;AssociationForeignKey:PatientId" json:"monitoring_record"`
}

func (BaseDrugLib) TableName() string {
	return "xt_base_drug"
}

type XtHisProject struct {
	ID                          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName                 string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                       float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                        string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify                int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection            int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage             int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification   int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory            int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                    int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode                 string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus               int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                      string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                        int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber               string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                   int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                    int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                  int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                  int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                        string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice                int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                 int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                 int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SingleDose                  string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	ExecutionFrequency          string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	DeliveryWay                 string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	NumberDays                  string  `gorm:"column:number_days" json:"number_days" form:"number_days"`
	Total                       string  `gorm:"column:total" json:"total" form:"total"`
	Category                    int64   `gorm:"column:category" json:"category" form:"category"`
	IsMark                      int64   `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	SpecailProject              int64   `gorm:"column:specail_project" json:"specail_project" form:"specail_project"`
	SocialSecurityDirectoryCode string  `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	RecordDate                  int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
}

func (XtHisProject) TableName() string {
	return "xt_his_project"
}

type HisOrder struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId          int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate    int64   `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime                 int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                 int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	Number                string  `gorm:"column:number" json:"number" form:"number"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode               int64   `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg               string  `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo                string  `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg                string  `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime           string  `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid           string  `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus           int64   `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId               string  `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId                string  `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	PsnNo                 string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnName               string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	PsnCertType           string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                string  `gorm:"column:certno" json:"certno" form:"certno"`
	Gend                  string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                  string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                  string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Age                   float64 `gorm:"column:age" json:"age" form:"age"`
	Insutype              string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	PsnType               string  `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	CvlservFlag           string  `gorm:"column:cvlserv_flag" json:"cvlserv_flag" form:"cvlserv_flag"`
	SetlTime              string  `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MdtrtCertType         string  `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	MedType               string  `gorm:"column:med_type" json:"med_type" form:"med_type"`
	MedfeeSumamt          float64 `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FulamtOwnpayAmt       float64 `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtSelfPay        float64 `gorm:"column:overlmt_self_pay" json:"overlmt_self_pay" form:"overlmt_self_pay"`
	PreselfpayAmt         float64 `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	InscpScpAmt           float64 `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	ActPayDedc            float64 `gorm:"column:act_pay_dedc" json:"act_pay_dedc" form:"act_pay_dedc"`
	HifpPay               float64 `gorm:"column:hifp_pay" json:"hifp_pay" form:"hifp_pay"`
	CvlservPay            float64 `gorm:"column:cvlserv_pay" json:"cvlserv_pay" form:"cvlserv_pay"`
	PoolPropSelfpay       float64 `gorm:"column:pool_prop_selfpay" json:"pool_prop_selfpay" form:"pool_prop_selfpay"`
	HifesPay              float64 `gorm:"column:hifes_pay" json:"hifes_pay" form:"hifes_pay"`
	HifmiPay              float64 `gorm:"column:hifmi_pay" json:"hifmi_pay" form:"hifmi_pay"`
	HifobPay              float64 `gorm:"column:hifob_pay" json:"hifob_pay" form:"hifob_pay"`
	MafPay                float64 `gorm:"column:maf_pay" json:"maf_pay" form:"maf_pay"`
	OthPay                float64 `gorm:"column:oth_pay" json:"oth_pay" form:"oth_pay"`
	FundPaySumamt         float64 `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	PsnPartAmt            float64 `gorm:"column:psn_part_amt" json:"psn_part_amt" form:"psn_part_amt"`
	AcctPay               float64 `gorm:"column:acct_pay" json:"acct_pay" form:"acct_pay"`
	PsnCashPay            float64 `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	HospPartAmt           float64 `gorm:"column:hosp_part_amt" json:"hosp_part_amt" form:"hosp_part_amt"`
	Balc                  float64 `gorm:"column:balc" json:"balc" form:"balc"`
	AcctMulaidPay         float64 `gorm:"column:acct_mulaid_pay" json:"acct_mulaid_pay" form:"acct_mulaid_pay"`
	MedinsSetlId          string  `gorm:"column:medins_setl_id" json:"medins_setl_id" form:"medins_setl_id"`
	ClrOptins             string  `gorm:"column:clr_optins" json:"clr_optins" form:"clr_optins"`
	ClrWay                string  `gorm:"column:clr_way" json:"clr_way" form:"clr_way"`
	ClrType               string  `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
	SetlDetail            string  `gorm:"column:setl_detail" json:"setl_detail" form:"setl_detail"`
	IsMedicineInsurance   int64   `gorm:"column:is_medicine_insurance" json:"is_medicine_insurance" form:"is_medicine_insurance"`
	PayWay                int64   `gorm:"column:pay_way" json:"pay_way" form:"pay_way"`
	PayPrice              float64 `gorm:"column:pay_price" json:"pay_price" form:"pay_price"`
	PayCardNo             string  `gorm:"column:pay_card_no" json:"pay_card_no" form:"pay_card_no"`
	DiscountPrice         float64 `gorm:"column:discount_price" json:"discount_price" form:"discount_price"`
	PreferentialPrice     float64 `gorm:"column:preferential_price" json:"preferential_price" form:"preferential_price"`
	RealityPrice          float64 `gorm:"column:reality_price" json:"reality_price" form:"reality_price"`
	FoundPrice            float64 `gorm:"column:found_price" json:"found_price" form:"found_price"`
	MedicalInsurancePrice float64 `gorm:"column:medical_insurance_price" json:"medical_insurance_price" form:"medical_insurance_price"`
	PrivatePrice          float64 `gorm:"column:private_price" json:"private_price" form:"private_price"`
	Creator               int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                int64   `gorm:"column:modify" json:"modify" form:"modify"`
	AccountPrice          float64 `gorm:"column:account_price" json:"account_price" form:"account_price"`

	SzChargeInfo            string `gorm:"column:sz_charge_info" json:"sz_charge_info" form:"sz_charge_info"`
	SzProjectInfo           string `gorm:"column:sz_project_info" json:"sz_project_info" form:"sz_project_info"`
	SzMedicineInsuranceInfo string `gorm:"column:sz_medicine_insurance_info" json:"sz_medicine_insurance_info" form:"sz_medicine_insurance_info"`
	YiliaoNumber            string `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`

	FaPiaoCode   string `gorm:"column:fa_piao_code" json:"fa_piao_code" form:"fa_piao_code"`
	FaPiaoNumber string `gorm:"column:fa_piao_number" json:"fa_piao_number" form:"fa_piao_number"`

	MzNumber      string `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	OrgSetlNumber string `gorm:"column:org_setl_number" json:"org_setl_number" form:"org_setl_number"`

	SettleType      int64 `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	SettleStartTime int64 `gorm:"column:settle_start_time" json:"settle_start_time" form:"settle_start_time"`
	SettleEndTime   int64 `gorm:"column:settle_end_time" json:"settle_end_time" form:"settle_end_time"`

	RefundLog string `gorm:"column:refund_log" json:"refund_log" form:"refund_log"`
	DetailLog string `gorm:"column:detail_log" json:"detail_log" form:"detail_log"`

	RequestLog       string `gorm:"column:request_log" json:"request_log" form:"request_log"`
	RefundRequestLog string `gorm:"column:refund_request_log" json:"refund_request_log" form:"refund_request_log"`
}

func (HisOrder) TableName() string {
	return "his_order"
}

type HisOrderInfo struct {
	ID                     int64                  `gorm:"column:id" json:"id" form:"id"`
	OrderNumber            string                 `gorm:"column:order_number" json:"order_number" form:"order_number"`
	UploadDate             int64                  `gorm:"column:upload_date" json:"upload_date" form:"upload_date"`
	AdviceId               int64                  `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	DetItemFeeSumamt       float64                `gorm:"column:det_item_fee_sumamt" json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	Cnt                    float64                `gorm:"column:cnt" json:"cnt" form:"cnt"`
	Pric                   float64                `gorm:"column:pric" json:"pric" form:"pric"`
	PatientId              int64                  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PricUplmtAmt           float64                `gorm:"column:pric_uplmt_amt" json:"pric_uplmt_amt" form:"pric_uplmt_amt"`
	SelfpayProp            float64                `gorm:"column:selfpay_prop" json:"selfpay_prop" form:"selfpay_prop"`
	FulamtOwnpayAmt        float64                `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtAmt             float64                `gorm:"column:overlmt_amt" json:"overlmt_amt" form:"overlmt_amt"`
	PreselfpayAmt          float64                `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	BasMednFlag            string                 `gorm:"column:bas_medn_flag" json:"bas_medn_flag" form:"bas_medn_flag"`
	MedChrgitmType         string                 `gorm:"column:med_chrgitm_type" json:"med_chrgitm_type" form:"med_chrgitm_type"`
	HiNegoDrugFlag         string                 `gorm:"column:hi_nego_drug_flag" json:"hi_nego_drug_flag" form:"hi_nego_drug_flag"`
	Status                 int64                  `gorm:"column:status" json:"status" form:"status"`
	Memo                   string                 `gorm:"column:memo" json:"memo" form:"memo"`
	FeedetlSn              string                 `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Mtime                  int64                  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	InscpScpAmt            float64                `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	DrtReimFlag            string                 `gorm:"column:drt_reim_flag" json:"drt_reim_flag" form:"drt_reim_flag"`
	Ctime                  int64                  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ListSpItemFlag         string                 `gorm:"column:list_sp_item_flag" json:"list_sp_item_flag" form:"list_sp_item_flag"`
	ChldMedcFlag           string                 `gorm:"column:chld_medc_flag" json:"chld_medc_flag" form:"chld_medc_flag"`
	LmtUsedFlag            string                 `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	ChrgitmLv              string                 `gorm:"column:chrgitm_lv" json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId              int64                  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId           int64                  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	OrderId                int64                  `gorm:"column:order_id" json:"order_id" form:"order_id"`
	ProjectId              int64                  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Type                   int64                  `gorm:"column:type" json:"type" form:"type"`
	ItemId                 int64                  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	OverPricPsnPay         float64                `gorm:"column:over_pric_psn_pay" json:"over_pric_psn_pay" form:"over_pric_psn_pay"`
	AllowReimburse         float64                `gorm:"column:allow_reimburse" json:"allow_reimburse" form:"allow_reimburse"`
	HisDoctorAdviceInfo    HisDoctorAdviceInfo    `gorm:"ForeignKey:AdviceId;AssociationForeignKey:ID" json:"advice"`
	HisPrescriptionProject HisPrescriptionProject `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"project"`
}

func (HisOrderInfo) TableName() string {
	return "his_order_info"
}
